Package twisted :: Package lore :: Module lint :: Class DefaultTagChecker |
[frames | no frames]

## Class DefaultTagChecker

    TagChecker --+
                 |
                DefaultTagChecker

Method Summary
| `__init__(self, allowedTags, allowedClasses)`
| `check_80_columns(self, dom, filename)`
| `check_a_py_listing(self, dom, filename)`
| `check_align(self, dom, filename)`
| `check_anchor_in_heading(self, dom, filename)`
| `check_disallowedClasses(self, dom, filename)`
| `check_disallowedElements(self, dom, filename)`
| `check_lists(self, dom, filename)`
| `check_pre_py_listing(self, dom, filename)`
| `check_quote(self, dom, filename)`
| `check_style(self, dom, filename)`
| `check_styleattr(self, dom, filename)`
| `check_texturl_matches_href(self, dom, filename)`
| `check_title(self, dom, filename)`
Inherited from TagChecker
| ``_reportError`(self, filename, element, error)`
| ``check`(self, dom, filename)`

Generated by Epydoc 2.0 on Sat Oct 25 00:54:45 2003 | http://epydoc.sf.net